/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Respiration Rhythms
 */
public enum EnumCV_RespirationRhythms {

	//Respiration Rhythms - CID 3416
	NORMAL_RESPIRATORY_RHYTHM_F_21301("F-21301"),
	IRREGULAR_BREATHING_F_21303("F-21303"),
	GASPING_RESPIRATION_F_20130("F-20130"),
	ABNORMAL_RESPIRATORY_RHYTHM_F_21334("F-21334"),
	RESPIRATION_INTERMITTENT_F_21331("F-21331");

	private String value;

	EnumCV_RespirationRhythms(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
